<?php
add_theme_support( 'post-thumbnails' );
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name'          => 'right-sidebar',
'description'   => 'ابزارک راست',
'before_widget' => '<div class="sidebar"><div class="c-sidebar">',
'after_widget'  => '</div></div>',
'before_title'  => '<div class="t-sidebar"><h3><i class="fa fa-align-right"></i>',
'after_title'   => '</h3></div>',
));

register_sidebar(array(
'name'          => 'left-sidebar',
'description'   => 'ابزارک چپ',
'before_widget' => '<div class="sidebar"><div class="c-sidebar">',
'after_widget'  => '</div></div>',
'before_title'  => '<div class="t-sidebar"><h3><i class="fa fa-align-right"></i>',
'after_title'   => '</h3></div>',
));



function likeThis($post_id,$action = 'get') {

	if(!is_numeric($post_id)) {
		error_log("خطا : مقدار عددي براي post_id ارسال نشده است");
		return;
	}

	switch($action) {
	
	case 'get':
		$data = get_post_meta($post_id, '_likes');
		
		if(!is_numeric($data[0])) {
			$data[0] = 0;
			add_post_meta($post_id, '_likes', '0', true);
		}
		
		return $data[0];
	break;
	
	
	case 'update':
		if(isset($_COOKIE["like_" . $post_id])) {
			return;
		}
		
		$currentValue = get_post_meta($post_id, '_likes');
		
		if(!is_numeric($currentValue[0])) {
			$currentValue[0] = 0;
			add_post_meta($post_id, '_likes', '1', true);
		}
		
		$currentValue[0]++;
		update_post_meta($post_id, '_likes', $currentValue[0]);
		
		setcookie("like_" . $post_id, $post_id,time()+(60*60*24*365));
	break;

	}

}

function mw_Likes($post_id) {
	$likes = likeThis($post_id);
	
	$who = ' <i class="fa fa-heart"></i> ';
	
	if($likes == 1) {
		$who = '  ';
	}
	
	if(isset($_COOKIE["like_" . $post_id])) {
	print '<a href="#" class="likeThis done" id="like-'.$post_id.'"><i class="fa fa-heart"></i>'.$likes.$who.'</a>';
		return;
	}

	print '<a href="#" class="likeThis" id="like-'.$post_id.'">'.$likes.$who.'</a>';
}


function setUpPostLikes($post_id) {
	if(!is_numeric($post_id)) {
		error_log("خطا : مقدار عددي براي post_id ارسال نشده است");
		return;
	}
	
	
	add_post_meta($post_id, '_likes', '0', true);

}


function checkHeaders() {
	if(isset($_POST["likepost"])) {
		likeThis($_POST["likepost"],'update');
	}

}


function jsIncludes() {
	wp_enqueue_script('jquery');
	
	wp_register_script('Mw-likesScript',
	 get_template_directory_uri(). '/js/Mw-likesScript.js' );
	wp_enqueue_script('Mw-likesScript',array('jquery'));

}

add_action ('publish_post', 'setUpPostLikes');
add_action ('init', 'checkHeaders');
add_action ('get_header', 'jsIncludes');
?>